import type { _NSObject } from "../Foundation/NSObject.js";
import type { _VZVirtioSocketListenerDelegate } from "./VZVirtioSocketListenerDelegate.js";
export declare class _VZVirtioSocketListener extends _NSObject {
    static alloc(): _VZVirtioSocketListener;
    static new(): _VZVirtioSocketListener;
    init(): _VZVirtioSocketListener;
    /** @abstract Pointer to a delegate object for the listener. */
    delegate(): _VZVirtioSocketListenerDelegate | null;
    setDelegate$(value: _VZVirtioSocketListenerDelegate | null): void;
}
